StocksAndFisherieskKB - Bug #12259

Adding annotation in a GRSF record returns an error
Jul 27, 2018 03:22 PM - Aureliano Gentile

Status: Closed Start date: Jul 27, 2018
Priority: High Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

| have added the following comment in this record:
http://data.d4science.org/ctlg/GRSF_Admin/b165b8a4-d259-3796-9922-813ad8ba5290

"There are multiple BdivBmsypref and UdivUmsypref values for the same year, while apparently in the RAM db there is only one
value per year.
Where are such additional data coming from?"

When trying to save it | got this error (see also screenshot):
"Sorry, there was a problem while trying to update the status of this record: Update failed for the following reason An error occured

while updating the annotation message of the record with URI:
http://www.bluebridge-vres.eu/grsf/stock/asfis:ghl+fao:27.12;fa0:27.14;fa0:27.5;fa0:27.6"

History

#1 - Jul 27, 2018 03:26 PM - Luca Frosini

- Assignee changed from Luca Frosini to Yannis Marketakis
@marketak@ics.forth.gr any ideas?

#2 - Jul 27, 2018 04:13 PM - Yannis Marketakis
- File Capture.JPG added

It seems that there is an escape character (\n) in the annotation message that messes up the update in the knowledge base .
| managed to update it using the same message without the escape character (see screenshot)

I'm leaving the ticket open, until | fix the issue in the grsf-updater-service

Annotation {"annotation_message":"There are multiple
BdivBmsypref and UdivUmsypref values for
the same year, while apparently in the RAM
db there is only one value per year. Where
are such additional data coming

v mow

from?" "admin":"Yannis
Marketakis" "time":"2018-07-27 14:58:09
CET"}

#3 - Jul 27, 2018 04:20 PM - Luca Frosini
thanks @marketak@ics.forth.gr

#4 - Jul 30, 2018 11:58 AM - Yannis Marketakis
- Status changed from New to Feedback

- % Done changed from 0 to 100
The service updating the records has been modified.

#5 - Jul 30, 2018 12:00 PM - Luca Frosini
http://data.d4science.org/ctlg/GRSF_Admin/b165b8a4-d259-3796-9922-813ad8ba5290
http://www.bluebridge-vres.eu/grsf/stock/asfis:ghl+fao:27.12;fao:27.14;fao:27.5;fao:27.6

@aureliano.gentile@fao.org can you test it?

#6 - Jul 30, 2018 04:16 PM - Aureliano Gentile
- File annotations.JPG added

(Sorry for the delayed answer, | was in meetings all day). So, | tested again and looks fine, many thanks to all.

Let me highlight that all annotations are reported in the grsf record page (see also attached screenshot), but there is no way to edit/remove them
through the "manage item" panel. | thought that by re-editing the record again | would have found my annotation(s) with the possibility to edit/remove.
Anyway, if you think that is too complex and as it is now it has not side effects, then feel free to ignore.

My point was also considering that if such annotations will go into production they have to be meaningful and useful to users (hence these ones
should be edited/deleted).

#7 - Jul 30, 2018 04:59 PM - Luca Frosini

@aureliano.gentile@fao.org please open a new ticket for such a request.

Maybe the issue could not be resolved immediately but in this way we can keep track of it.

#8 - Jul 30, 2018 05:00 PM - Luca Frosini
- Status changed from Feedback to Closed

Giving that this bug seems solved I'm going to close this ticket.

Files

grsf_error_annotationerror.JPG 41 KB Jul 27,2018 Aureliano Gentile
Capture.JPG 27.1 KB Jul 27,2018 Yannis Marketakis
annotations.JPG 86.4 KB Jul 30, 2018 Aureliano Gentile
